# Artifacts

## Overview

Build packages produce various artifacts, from WAR files and various logs to binary downloads. For build and Deploy or Build jobs, you can also find the Docker image pull commands in this section.

## Build and Deploy or Build Artifacts

### Docker image pull commands

The Docker Information dialog refers to the process of deploying your application on-premise. To successfully deploy on-premise, refer to the [On-Premise Deployment section](/reference/servoy-cloud/on-premise-deployment.md).

### WAR file

A WAR file, short for Web Application Archive, is a compressed package that contains all the vital resources and components of your web application. This format is designed for the purpose of deploying your web application onto a server.

Also, in cases where substantial changes or updates introduce issues, WAR files can serve as a form of backup. They enable you to revert your application to a stable and previously working version. Using the Builds Package History, you can access package details and subsequently, previous versions of the WAR files.

### Various logs

* **.servoy file** (only available when unittest is enabled)
* **servoyExportCommandline.log** (only available when unittest is enabled)unittest is enabled)
* **exportSolutionAsDotServoy\_servoy\_log.txt** (only available when unittest is enabled)
* **exportSolutionAsDotServoy\_workspace\_log.txt** (only available when unittest is enabled)
* **junit\_servoy\_log.txt** (only available when unittest is enabled)
* **warExportCommandLine.log**
* **exportSolutionAsWar\_servoy\_log.txt**
* **exportSolutionAsWar\_workspace\_log.txt**

## Mobile Artifacts

Mobile packages generate binary and log files for the chosen mobile build/deploy type set up in the job configuration.

* **Android APK Binary**
* **Android Log**
* **Android Store AAB Binary**
* **Android Store APK Binary**
* **Android Store Log**
* **iOS Binary**
* **iOS Log**

## Desktop artifacts

Desktop packages generate executable and log files for the chosen platforms set up in the job configuration.

* **Windows .exe installer**
* **MacOS .dmg installer**
* **Linux tar.gz.installer**

## How to access

You can navigate to the package artifacts by navigating to Package Details and choosing the Artifacts tab. Also, you can access different artifacts from throughout Cloud Control Center using clickable stats:

* WAR file
* Docker pull commands
* Binary Downloads

### WAR file

You can easily access the [WAR file](#war-file) from several places:

* Package Details Artifacts tab
* Pipelines Package context menu

### Docker Pull commands

You can easily access the [Docker image pull commands](#docker-image-pull-commands) from several places:

* Package Details [Artifacts ](#how-to-access)tab
* Pipelines Package context menu

### Binary Downloads

You can easily access Binary downloads for Mobile or Desktop jobs from several places:

* Binary downloads clickable stat in Dashboard Pipeline Activity at-a-glance
* Individual binary downloads in the Pipelines Current Package section
* Binary downloads clickable stat in Builds History Overview
* Package Details [Artifacts ](#how-to-access)tab


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/packages/artifacts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
